Qt 5.6 | Qt 3D | C++ Classes | QAnnotation

Qt 5.6.3 Reference Documentation

# QAnnotation Class

(Qt3DRender::QAnnotation)

The QAnnotation class provides ... More...

Header: | #include <QAnnotation>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | Annotation
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- name : QString
- value : QVariant

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAnnotation(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QAnnotation()
QString | name() const
QVariant | value() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setName(const QString &customType)
void | setValue(const QVariant &value)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | nameChanged(const QString &name)
void | valueChanged(const QVariant &value)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

The QAnnotation class provides ...

## Property Documentation

### name : QString

Access functions:

QString | name() const
void | setName(const QString &customType)

Notifier signal:

void | nameChanged(const QString &name)

### value : QVariant

Access functions:

QVariant | value() const
void | setValue(const QVariant &value)

Notifier signal:

void | valueChanged(const QVariant &value)

## Member Function Documentation

### QAnnotation::QAnnotation(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QAnnotation.

### QAnnotation::~QAnnotation()

Destroys the instance of QAnnotation.

### `[protected]` void QAnnotation::copy(const Qt3DCore::QNode *ref)